Images
GET/organization/usage/images
Get images usage details for the organization.
Query Parameters
start_time: number
Start time (Unix seconds) of the query time range, inclusive.
api_key_ids: optional array of string
Return only usage for these API keys.
end_time: optional number
End time (Unix seconds) of the query time range, exclusive.
limit: optional number
Specifies the number of buckets to return.
bucket_width=1d: default: 7, max: 31bucket_width=1h: default: 24, max: 168bucket_width=1m: default: 60, max: 1440
models: optional array of string
Return only usage for these models.
page: optional string
A cursor for use in pagination. Corresponding to the next_page field from the previous response.
project_ids: optional array of string
Return only usage for these projects.
user_ids: optional array of string
Return only usage for these users.
Returns
has_more: boolean
next_page: string
object: "page"
Images
curl "https://api.openai.com/v1/organization/usage/images?start_time=1730419200&limit=1" \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json"
{
"object": "page",
"data": [
{
"object": "bucket",
"start_time": 1730419200,
"end_time": 1730505600,
"results": [
{
"object": "organization.usage.images.result",
"images": 2,
"num_model_requests": 2,
"size": null,
"source": null,
"project_id": null,
"user_id": null,
"api_key_id": null,
"model": null
}
]
}
],
"has_more": false,
"next_page": null
}
Returns Examples
{
"object": "page",
"data": [
{
"object": "bucket",
"start_time": 1730419200,
"end_time": 1730505600,
"results": [
{
"object": "organization.usage.images.result",
"images": 2,
"num_model_requests": 2,
"size": null,
"source": null,
"project_id": null,
"user_id": null,
"api_key_id": null,
"model": null
}
]
}
],
"has_more": false,
"next_page": null
}